{% set PageTitle = "Styleguide" %}

{% extends "master.html" %}

{% block header %}{% endblock %}

{% block styles %}

{% endblock %}

{% block main %}

<style>
	.swatches
	{
		display : grid;
		grid-gap: 1rem;
		grid-template-columns : repeat(5, 1fr);
	}

	.swatches--wide
	{
		grid-gap: 4rem;
		grid-template-columns : repeat(2, 1fr);
	}

	.swatch
	{
		border : 1px solid #ccc;
	}

	.swatch__colour
	{
		padding : 1rem;
		min-height: 80px;
	}

	.swatch__body
	{
		padding : 1rem;
	}

	.swatch__body > *:last-child
	{
		margin-bottom: 0;
	}

	.gradient
	{

	}

	.gradient__colour
	{
		position: relative;
		height: 40px;
		margin: 0 20px 40px 20px;
	}

	.gradient__colour > span
	{
		width: 40px;
		height: 40px;
		display: block;
		border: 2px solid #fff;
		box-shadow: 0 2px 0 rgba(0, 0, 0, .1);
		border-radius: 100%;
		position: absolute;
		top : 0;
		font-size: 10px;
		text-transform: uppercase;
	}

	.gradient__colour > span span
	{
		position: absolute;
		top : 50px;
	}

	.gradient__colour > span:first-child
	{
		left: -20px;
	}

	.gradient__colour > span:first-child span
	{
		left: 0;
	}

	.gradient__colour > span:last-child
	{
		right: -20px;
	}

	.gradient__colour > span:last-child span
	{
		right: 0;
	}

	.gradient__body
	{
		text-align: center;
	}

	.box
	{
		padding: 40px;
	}

</style>

<div class="container" style="margin-top:100px;">
	<div id="carousel"></div>
</div>

	{% macro swatch(name, colour) %}
		<div class="swatch">
			<div class="swatch__colour" style="background-color:{{colour}}"></div>
			<div class="swatch__body">
				<h3>{{name}}</h3>
				<code>{{colour}}</code>
			</div>
		</div>
	{% endmacro %}

	{% macro gradient(name, start, end) %}
		<div class="gradient">
			<div class="gradient__body">
				<h3>{{name}}</h3>
			</div>
			<div class="gradient__colour" style="background: linear-gradient(to right, {{start}} 0%, {{end}} 100%);">
				<span style="background-color:{{start}}"><span>{{start}}</span></span>
				<span style="background-color:{{end}}"><span>{{end}}</span></span>
			</div>
		</div>
	{% endmacro %}

	<section  class="container">
		<h1>Colours</h1>

		<h2>Core colours</h2>
		<div class="swatches">
			{{ swatch('Lime Green', '#71b500') }}
			{{ swatch('Pistachio', '#CDDC29') }}
			{{ swatch('Grass', '#37A640') }}
			{{ swatch('Accessible Grass', '#178830') }}
		</div>

		<h2>Background tints</h2>
		<div class="swatches">
			{{ swatch('Warm Grey', '#FCF9F2') }}
			{{ swatch('Cool Grey', '#f7f7f7') }}
		</div>

		<h2>Secondary pallette</h2>
		<div class="swatches">
			{{ swatch('Slate', '#3d3d3d') }}
			{{ swatch('Accessible Grey', '#757575') }}
			{{ swatch('Petroleum', '#46616e') }}
			{{ swatch('Fog', '#d2d9dc') }}
			{{ swatch('Sky Blue', '#0095f4') }}
			{{ swatch('Ocean Blue', '#04589B') }}
			{{ swatch('Overlay - Green', '#449F58') }}
			{{ swatch('Overlay - Teal', '#1788a4') }}
			{{ swatch('Overlay - Strawberry', '#eb3924') }}
			{{ swatch('Overlay - Blackcurrant', '#4a0978') }}
		</div>

	</section>

	<section  class="container">
		<h1>Gradients</h1>
		<h2>In-page gradient</h2>
		<div class="swatches swatches--wide">
			{{ gradient('Mint', '#61e2d2', '#dcf6ce') }}
			{{ gradient('Dusty Mint', '#cbf6ee', '#eef7e8') }}
			{{ gradient('Pistachio', '#cad443', '#f4f7da') }}
			{{ gradient('Dusty Pistachio', '#f5f7c8', '#f9fae6') }}
			{{ gradient('Apricot', '#fcce9a', '#fef9e2') }}
			{{ gradient('Light Apricot', '#ffe7c9', '#fdf6e9') }}
			{{ gradient('Light Meadow', '#d6ffd5', '#fdffda') }}
			{{ gradient('Light Bluebell', '#e4f7ff', '#fffcf4') }}
		</div>
		<h2>Bold gradients</h2>
		<div class="swatches swatches--wide">
			{{ gradient('Strawberry', '#ef4c51', '#f59372') }}
			{{ gradient('Blackcurrant', '#441765', '#8d5ca0') }}
			{{ gradient('Teal', '#2f5b87', '#1488a4') }}
			{{ gradient('Clover', '#2a8f27', '#a0d007') }}
		</div>

	</section>

    <section class="container">
      <div class="content bodyCopy ">
      <h4>Unordered list</h4>
          <ul>
            <li>Birman british shorthair puma, and donskoy.</li>
            <li>British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat.</li>
            <li>Cat ipsum dolor sit amet, tiger tom lynx so manx.</li>
          </ul>
          <h4>Ordered list</h4>
          <ol>
            <li>Birman british shorthair puma, and donskoy.</li>
            <li>British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat.</li>
            <li>Cat ipsum dolor sit amet, tiger tom lynx so manx.</li>
          </ol>
          <h4>Definition list</h4>
          <dl>
            <dt>Definition Title</dt>
            <dd>Definition Data</dd>
          </dl>
          <h4>Table</h4>
          <table>
            <thead>
              <tr>
                <th>thead</th>
                <th>thead</th>
                <th>thead</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>tbody</td>
                <td>tbody</td>
                <td>tbody</td>
              </tr>
              <tr>
                <td>tbody</td>
                <td>tbody</td>
                <td>tbody</td>
              </tr>
              <tr>
                <td>tbody</td>
                <td>tbody</td>
                <td>tbody</td>
              </tr>
            </tbody>
          </table>
          <hr>
          <h4>Blockquote</h4>
          <blockquote>
            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id, quas rem ipsam corrupti aut nemo asperiores eveniet quidem. Deleniti, magnam. Hic rerum, blanditiis vitae, quisquam itaque earum mollitia consequatur quidem.</p>
          </blockquote>
          <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Reiciendis ipsa ullam dolore incidunt voluptas, <a href="#">example link</a> <b>bold</b> illo <strong>strong</strong> qui at, aliquid. Expedita aliquid quisquam, delectus, temporibus necessitatibus enim?</p>
          <h1>Heading One</h1>
          <h2>Heading Two</h2>
          <h3>Heading Three</h3>
          <h4>Heading Four</h4>
          <h5>Heading Five</h5>
          <h6>Heading Six</h6>
        </div>
    </section>

{% endblock %}

{% block scripts %}

<script>

</script>

{% endblock %}

{% block NavPrimary %}{% endblock %}
